export const $is: {
    (type: BigIntConstructor, arg: any): arg is bigint;
    (type: BooleanConstructor, arg: any): arg is boolean;
    (type: NumberConstructor, arg: any): arg is number;
    (type: StringConstructor, arg: any): arg is string;
    (type: SymbolConstructor, arg: any): arg is symbol;
    (type: undefined, arg: any): arg is null | undefined;
    <T extends abstract new (...args: any) => any>(type: T, arg: any): arg is InstanceType<T>;
};
export function $in(key: any, ref: any): boolean;
export function $eq(x: any, y: any): boolean;
export const $h: {
    <T extends keyof HTMLElementTagNameMap>(e: T, keys?: $AttributesAndProperties, ...items: $HTMLItem[]): HTMLElementTagNameMap[T];
    <E extends HTMLElement>(e: E, keys?: $AttributesAndProperties, ...items: $HTMLItem[]): E;
    (e: $HTMLElement, keys?: $AttributesAndProperties, ...items: $HTMLItem[]): HTMLElement | ShadowRoot;
};
export const $s: {
    <T extends keyof SVGElementTagNameMap>(e: T, keys?: $AttributesAndProperties, ...items: $SVGItem[]): SVGElementTagNameMap[T];
    <E extends SVGElement>(e: E, keys?: $AttributesAndProperties, ...items: $SVGItem[]): E;
    (e: $SVGElement, keys?: $AttributesAndProperties, ...items: $SVGItem[]): SVGElement;
};
export function $c(root: $CSSRoot, splitter?: string): string;
export function $highlight(pattern: RegExp, highlighters: ((chunk: string, index: number) => $HTMLItem)[], innerText: string): $HTMLItem[];
export function $locale(locales: Record<string, Record<string, string | Record<string, string>>>, defaultLanguage: string, languages?: readonly string[]): (text?: string | undefined, version?: string | undefined) => string;
export type $HTMLElement = keyof HTMLElementTagNameMap | HTMLElement | ShadowRoot;
export type $AttributesAndProperties = Record<string, any>;
export type $HTMLItem = $HTMLElement | Text | SVGElement | string | number | [$HTMLElement, $AttributesAndProperties, ...$HTMLItem[]];
export type $HTMLConfig = [$HTMLElement, $AttributesAndProperties, ...$HTMLItem[]];
export type $SVGElement = keyof SVGElementTagNameMap | SVGElement;
export type $SVGItem = $SVGElement | Text | string | number | [$SVGElement, $AttributesAndProperties, ...$SVGItem[]];
export type $SVGConfig = [$SVGElement, $AttributesAndProperties, ...$SVGItem[]];
export type $CSSNode = {
    [attributeOrSelector: string]: string | number | $CSSNode;
};
export type $CSSRoot = {
    [selector: string]: $CSSNode;
};
